### File

`packages/ecl/components/ecl-site-header/notification/ecl-site-header-notification.component.ts`

### Description

This component is used as a wrapper around ecl-notification component, when used in the site-header. Adds specific class and methods to show/hide the notification.

### Extends

`ECLBaseDirective`

### Metadata

selector | `ecl-site-header-notification`
templateUrl | `ecl-site-header-notification.component.html`

### Index

###### Methods
onHide onShow getCssClasses
###### Inputs
class e2eAttr tabindex
###### HostBindings
class style.display
###### Accessors
cssClasses

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`

style.display
Type : `string`
Default value : `''`

### Methods

onHide
`onHide()`
Returns : `void`

onShow
`onShow()`
Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""